[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.KeyDown

Handles key down messages for the control.

## Declaration

Source position: comctrls.pp line 1575

`protected procedure TCustomListView.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Virtual key code examined in the method.
`Shift` |  | Shift, Alt, or Ctrl modifier for the key code.

## Description

Handles an F2 function key pressed when the control has focus. Ensures that the editor is displayed when the control is not marked as ReadOnly. The keystroke is digested (set to zero).

If the control is marked as ReadOnly, or Key is not the unshifted F2 function key, the inherited KeyDown method is called to handle the values in Key and Shift.

## See also

TWinControl.KeyDown |  | Signals OnKeyDown event handlers (when assigned).